.cookie-box {
  position: fixed;
  width: 100%;
  bottom: 0
}

.cookie-box button {
  margin: 0 .7rem 1rem 0;
  min-width: 8rem
}

.cookie-box h1 {
  font-size: 14px;
  line-height: unset
}

.cookie-box h1 i {
  color: #6c757d
}

.cookie-box h1 i:hover {
  cursor: pointer
}

.cookie-box p {
  font-size: 14px;
  line-height: 20px
}

.cookie-box .cookie-buttons .btn {
  border-radius: 2px;
  width: 130px;
  font-size: 14px
}

.cookie-box .d-flex {
  justify-content: left;
  flex-flow: wrap
}

.cookie-box.cookie-consent {
  z-index: 999
}

.cookie-box.cookie-customize {
  z-index: 1000
}

.cookie-box.cookie-customize .cookie-switches {
  width: 70%;
  margin-bottom: 1.2rem
}

.cookie-box.cookie-customize .cookie-switches .custom-switch {
  flex-grow: 2;
  display: flex;
  flex-basis: 0;
  justify-content: space-between
}

.cookie-box.cookie-customize .cookie-switches .custom-switch i {
  font-size: 12px;
  color: #6c757d
}

.cookie-box.cookie-customize .cookie-switches .custom-switch .custom-control-label {
  font-size: 14px
}

.cookie-box.hidden-box {
  margin-bottom: -30rem
}

.cookie-iframes-consent {
  border: 1px solid #eee;
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding: 2rem
}

.cookie-iframes-consent > button {
  width: 100%
}

.cookie-box-simple {
  width: 100vw;
  top: unset;
  bottom: 0;
  left: 0;
  right: 0;
  position: fixed;
  z-index: 9999;
  border-top: solid #eee 2px
}

.cookie-box-simple.hidden-box {
  margin-bottom: -30rem
}

.cookie-box-simple #cookie-simple-agree {
  font-size: 16px;
  text-transform: capitalize
}

.cookie-box-simple #cookie-simple-learn-more {
  color: #fff;
  padding: .625em 1.875em
}

.cookie-box-simple #cookie-simple-learn-more:hover {
  text-decoration: none
}

#cookie-box-consent {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  box-shadow: 0 3px 6px rgba(23, 23, 23, 0.4);
  background-color: rgba(23, 23, 23, 0.8);
  border: 1px solid rgba(23, 23, 23, 0.8);
  padding: 2rem;
  width: 33rem;
  max-width: 100%;
  outline: none;
  transition: all 0.3s ease-in-out;
  left: 0.5rem;
  bottom: 6.15rem;
}

#cookie-box-consent .cookie-buttons {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}

#cookie-box-consent a, #cookie-box-consent button, #cookie-box-consent p {
  font-size: 16px;
  line-height: 20px;
  color: #fff;
}

#cookie-box-consent .btn-primary {
  margin: 0;
  padding: 0.5rem 1rem;
  background-color: #c20e1a;
  border-color: #c20e1a;
}

#cookie-box-consent .btn-primary:hover {
  background-color: #ae0c17;
  border-color: #ae0c17;
}

#cookie-box-consent #cookie-simple-learn-more {
  text-align: center;
  text-decoration: underline;
  padding: 0;
}

#cookie-box-consent #cookie-simple-learn-more:hover {
  text-decoration: none;
}

.btn-open-cookie-popup {
  cursor: pointer;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  z-index: 1;
  bottom: 0.5rem;
  left: 0.5rem;
  border-radius: 50%;
  background-color: rgba(23, 23, 23, 0.75);
  box-shadow: 0 0 10px rgba(23, 23, 23, 0.25);
  border: 1px solid rgba(23, 23, 23, 0.75);
}

.btn-open-cookie-popup img {
  max-width: 30px;
}

.btn-open-cookie-popup.agreed {
  background-color: rgba(194, 14, 26, 0.75);
  border: 1px solid rgba(194, 14, 26, 0.75);
}

.btn-open-cookie-popup.agreed a {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.btn-open-cookie-popup.agreed:hover {
  background-color: rgba(194, 14, 26, 1);
  border-color: rgba(194, 14, 26, 1);
}

html[lang='de'] #cookie-box-consent {
  width: 36rem;
}

.d-none {
  display: none !important;
}

@media (min-width: 576px) {
  .cookie-box {
    bottom: 1rem;
    left: 1rem;
    width: 28rem
  }

  .cookie-box button {
    min-width: unset
  }

  .cookie-box .d-flex {
    justify-content: space-around;
    flex-flow: revert
  }
}

@media (min-width: 992px) {
  .cookie-box-simple {
    left: 8px;
    bottom: 67px;
  }
}
